# ACE_IntCapEntry Class Reference

This class implement the ACE Integer Capability subclass. More...

`#include <Capabilities.h>`

Inheritance diagram for ACE_IntCapEntry:

[legend]
Collaboration diagram for ACE_IntCapEntry:

[legend]
List of all members.

## Public Member Functions

| ACE_IntCapEntry (int val)
int | getval (void) const

## Protected Attributes

int | val_

## Detailed Description

This class implement the ACE Integer Capability subclass.

This is a container class for ACE Capabilities integer container values.

## Constructor & Destructor Documentation

ACE_INLINE ACE_IntCapEntry::ACE_IntCapEntry | ( | int | val | ) |

## Member Function Documentation

ACE_INLINE int ACE_IntCapEntry::getval | ( | void |  | ) | const

## Member Data Documentation

int ACE_IntCapEntry::val_`[protected]`

The documentation for this class was generated from the following files:

- Capabilities.h
- Capabilities.inl